Subject: Re: [PATCH] blame: fix coloring for repeated suspects

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Feb 2026 04:42:21 -0800

René Scharfe <[email-masked]> writes:

> The option --ignore-rev passes the blame to an older commit.  This can
> cause adjacent scoreboard entries to blame the same commit.  Currently
> we only look a the present entry when determining whether a line needs

"look at"?

> to be colored for --color-lines.  Check the previous entry as well.

While this should work, I am kind of surprised that this has to done
as a sepecial case.  It often happens that two adjacent blocks may
be originally pass their blames to different parents of a merge, but
then the blame passes down through both branches down to the same
ancestor, at which point these two blocks need to be merged back
into the same source again, and I was hoping that a helper function
for it would be called to take care of this case as well.

In any case, thaks for a fix, and with a test, which is great.